Feature: Create corporations
  In order to manage corporations
  As a brand admin
  I need to be able to create them through the API.

  @createSchema
  Scenario: Create a corporation
    Given I add Brand Authorization header
     When I add "Content-Type" header equal to "application/json"
      And I add "Accept" header equal to "application/json"
      And I send a "POST" request to "/corporations" with body:
      """
      {
          "name": "Irontec Corp",
          "description": "Irontec corporation"
      }
      """
     Then the response status code should be 201
      And the response should be in JSON
      And the header "Content-Type" should be equal to "application/json; charset=utf-8"
      And the JSON should be equal to:
      """
      {
          "name": "Irontec Corp",
          "description": "Irontec corporation",
          "id": 3
      }
      """

  Scenario: Retrieve created corporation
    Given I add Brand Authorization header
     When I add "Accept" header equal to "application/json"
      And I send a "GET" request to "corporations/3"
     Then the response status code should be 200
      And the response should be in JSON
      And the header "Content-Type" should be equal to "application/json; charset=utf-8"
      And the JSON should be equal to:
      """
      {
          "name": "Irontec Corp",
          "description": "Irontec corporation",
          "id": 3
      }
      """
